%w(mailchekka/parser mailchekka/mailbox
mailchekka/checker).each { |req| require_relative req }

%w(net/imap net/pop optparse).each { |req| require req }

trap('INT') do
  puts 'Exiting...'
  exit
end

class Mailchecker
  def self.check
    @info = Parser::Parse(ARGV)
    Checker.new(Mailbox.new(@info), @info.interval).run
  end
end


